
void setup() {
  size(320,240);
  
  for( int x = width/4; x < width; x += width/4 ) {
    drawDaisy( x, 3*height/4 );
  }
  
  noLoop();
}

void drawDaisy( float x, float y ) {
  // draw a daisy with base at coordinates x,y
}


// test
//void setup() {
//  size( 320, 240 );
//  translate( 80, 40 );
//  drawPetal();
//  translate( 80, 0 );
//  drawLeaf();
//  noLoop();
//}


void drawPetal() {
  // draw a white petal at origin approximateely 20pix wide and 75 pix high
  // use translate(), rotate(), scale() to change postion, orientation and size
  noStroke();
  fill( 255, 255, 255 );
  bezier( 0, 0,   25, 100,   -25, 100,   0,0 );
}

void drawLeaf() {
  // draw a green leaf at the origin approximately 20pix wide and 50pix high
  // use translate(), rotate(), scale() to change postion, orientation and size
  noStroke();
  fill( 0, 128, 0 );
  bezier( 0,0,   15,25,  0,25, 0,50 );
  bezier( 0,0,  -15,25,  0,25, 0,50 );
}

